- Main Page
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# OGRFieldDefn Class Reference

`#include <ogr_feature.h>`

List of all members.

## Public Member Functions
| OGRFieldDefn (const char *, OGRFieldType)
| OGRFieldDefn (OGRFieldDefn *)
void | SetName (const char *)
const char * | GetNameRef ()
OGRFieldType | GetType ()
void | SetType (OGRFieldType eTypeIn)
OGRJustification | GetJustify ()
void | SetJustify (OGRJustification eJustifyIn)
int | GetWidth ()
void | SetWidth (int nWidthIn)
int | GetPrecision ()
void | SetPrecision (int nPrecisionIn)
void | Set (const char *, OGRFieldType, int=0, int=0, OGRJustification=OJUndefined)
void | SetDefault (const OGRField *)
## Static Public Member Functions
static const char * | GetFieldTypeName (OGRFieldType)

## Detailed Description

Definition of an attribute of an OGRFeatureDefn.

## Constructor & Destructor Documentation

OGRFieldDefn::OGRFieldDefn | ( | const char * | pszNameIn,
|  | OGRFieldType | eTypeIn
| ) |

  | Constructor. Parameters:
  | pszNameIn | the name of the new field.
  | eTypeIn | the type of the new field.

OGRFieldDefn::OGRFieldDefn | ( | OGRFieldDefn * | poPrototype | ) |

  | Constructor. Create by cloning an existing field definition. Parameters:
  | poPrototype | the field definition to clone.

## Member Function Documentation

const char * OGRFieldDefn::GetFieldTypeName | ( | OGRFieldType | eType | ) | `[static]`

  | Fetch human readable name for a field type. This static method is the same as the C function OGR_GetFieldTypeName(). Parameters:
  | eType | the field type to get name for.
Returns: pointer to an internal static name string. It should not be modified or freed.

OGRJustification OGRFieldDefn::GetJustify | ( |  | ) | `[inline]`

| Get the justification for this field. This method is the same as the C function OGR_Fld_GetJustify(). Returns: the justification.

const char * OGRFieldDefn::GetNameRef | ( |  | ) | `[inline]`

| Fetch name of this field. This method is the same as the C function OGR_Fld_GetNameRef(). Returns: pointer to an internal name string that should not be freed or modified.

int OGRFieldDefn::GetPrecision | ( |  | ) | `[inline]`

| Get the formatting precision for this field. This should normally be zero for fields of types other than OFTReal. This method is the same as the C function OGR_Fld_GetPrecision(). Returns: the precision.

OGRFieldType OGRFieldDefn::GetType | ( |  | ) | `[inline]`

| Fetch type of this field. This method is the same as the C function OGR_Fld_GetType(). Returns: field type.

int OGRFieldDefn::GetWidth | ( |  | ) | `[inline]`

| Get the formatting width for this field. This method is the same as the C function OGR_Fld_GetWidth(). Returns: the width, zero means no specified width.

void OGRFieldDefn::Set | ( | const char * | pszNameIn,
|  | OGRFieldType | eTypeIn,
|  | int | nWidthIn = `0`,
|  | int | nPrecisionIn = `0`,
|  | OGRJustification | eJustifyIn = `OJUndefined`
| ) |

  | Set defining parameters for a field in one call. This method is the same as the C function OGR_Fld_Set(). Parameters:
  | pszNameIn | the new name to assign.
  | eTypeIn | the new type (one of the OFT values like OFTInteger).
  | nWidthIn | the preferred formatting width. Defaults to zero indicating undefined.
  | nPrecisionIn | number of decimals places for formatting, defaults to zero indicating undefined.
  | eJustifyIn | the formatting justification (OJLeft or OJRight), defaults to OJUndefined.

void OGRFieldDefn::SetDefault | ( | const OGRField * | puDefaultIn | ) |

| Set default field value. Currently use of OGRFieldDefn "defaults" is discouraged. This feature may be fleshed out in the future.

void OGRFieldDefn::SetJustify | ( | OGRJustification | eJustify | ) | `[inline]`

  | Set the justification for this field. This method is the same as the C function OGR_Fld_SetJustify(). Parameters:
  | eJustify | the new justification.

void OGRFieldDefn::SetName | ( | const char * | pszNameIn | ) |

  | Reset the name of this field. This method is the same as the C function OGR_Fld_SetName(). Parameters:
  | pszNameIn | the new name to apply.

void OGRFieldDefn::SetPrecision | ( | int | nPrecision | ) | `[inline]`

  | Set the formatting precision for this field in characters. This should normally be zero for fields of types other than OFTReal. This method is the same as the C function OGR_Fld_SetPrecision(). Parameters:
  | nPrecision | the new precision.

void OGRFieldDefn::SetType | ( | OGRFieldType | eType | ) | `[inline]`

  | Set the type of this field. This should never be done to an OGRFieldDefn that is already part of an OGRFeatureDefn. This method is the same as the C function OGR_Fld_SetType(). Parameters:
  | eType | the new field type.

void OGRFieldDefn::SetWidth | ( | int | nWidth | ) | `[inline]`

  | Set the formatting width for this field in characters. This method is the same as the C function OGR_Fld_SetWidth(). Parameters:
  | nWidth | the new width.

The documentation for this class was generated from the following files:

- ogr_feature.h
- ogrfielddefn.cpp

Generated for GDAL by 1.4.5.